Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.algorithms.importance
Class RelativeAuthorityRanker

    java.lang.Object
      edu.uci.ics.jung.algorithms.IterativeProcess
          edu.uci.ics.jung.algorithms.importance.AbstractRanker
              edu.uci.ics.jung.algorithms.importance.RelativeAuthorityRanker

Direct Known Subclasses:
  HITSWithPriors, KStepMarkov, MarkovCentrality, PageRank

public abstract class RelativeAuthorityRanker
extends AbstractRanker

This class provides basic infrastructure for relative authority algorithms that compute the importance of nodes relative to one or more root nodes. The services provided are:

- The set of root nodes (priors) is stored and maintained
- Getters and setters for the prior rank score are provided

Author:
  Scott White

Field Summary
`static String` | `PRIOR_KEY` The default key used for the user datum key corresponding to prior rank scores.

Fields inherited from class edu.uci.ics.jung.algorithms.importance.AbstractRanker
`DEFAULT_EDGE_WEIGHT_KEY`

Constructor Summary
`RelativeAuthorityRanker()`

Method Summary
`protected void` | `finalizeIterations()` Cleans up all of the prior rank scores on finalize.
`protected double` | `getPriorRankScore(Vertex v)` Retrieves the value of the prior rank score.
`protected String` | `getPriorRankScoreKey()` Returns the user datum key for the prior rank score.
`protected Set` | `getPriors()` Retrieves the set of priors.
`void` | `setPriorRankScore(Vertex v, double value)` Allows the user to specify a value to set for the prior rank score
`protected void` | `setPriors(Set priors)` Specifies which vertices are root nodes (priors).

Methods inherited from class edu.uci.ics.jung.algorithms.importance.AbstractRanker
`assignDefaultEdgeTransitionWeights, getEdgeWeight, getEdgeWeightKeyName, getGraph, getRankings, getRankScore, getRankScoreKey, getRankScores, getVertices, initialize, isRankingEdges, isRankingNodes, normalizeEdgeTransitionWeights, normalizeRankings, onFinalize, printRankings, reinitialize, setEdgeWeight, setNormalizeRankings, setRankScore, setRemoveRankScoresOnFinalize, setUserDefinedEdgeWeightKey`

Methods inherited from class edu.uci.ics.jung.algorithms.IterativeProcess
`evaluate, evaluateIteration, getDesiredPrecision, getIterations, getMaximumIterations, getPrecision, hasConverged, initializeIterations, relativePrecision, setDesiredPrecision, setMaximumIterations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRIOR_KEY

    public static final String PRIOR_KEY

  The default key used for the user datum key corresponding to prior rank scores.

  See Also:
    Constant Field Values

Constructor Detail

### RelativeAuthorityRanker

    public RelativeAuthorityRanker()

Method Detail

### finalizeIterations

    protected void finalizeIterations()

  Cleans up all of the prior rank scores on finalize.

  Overrides:
    `finalizeIterations` in class `AbstractRanker`

### getPriorRankScoreKey

    protected String getPriorRankScoreKey()

  Returns the user datum key for the prior rank score.

  Returns:
    the user datum key for the prior rank score

### getPriorRankScore

    protected double getPriorRankScore(Vertex v)

  Retrieves the value of the prior rank score.

  Parameters:
    `v` - the root node (prior)
  Returns:
    the prior rank score

### setPriorRankScore

    public void setPriorRankScore(Vertex v,
                                  double value)

  Allows the user to specify a value to set for the prior rank score

  Parameters:
    `v` - the root node (prior)
    `value` - the score to set to

### getPriors

    protected Set getPriors()

  Retrieves the set of priors.

  Returns:
    the set of root nodes (priors)

### setPriors

    protected void setPriors(Set priors)

  Specifies which vertices are root nodes (priors).

  Parameters:
    `priors` - the root nodes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD